<p align=center><a href="https://leanprover.github.io"><img src="https://leanprover.github.io/images/lean_logo.svg" alt="logo" width="300px"/></a></p>
<table>
  <tr>
    <th>License</th><th>Windows</th><th>Linux / macOS</th><th>Test Coverage</th><th>Chat</th>
  </tr>
  <tr>
    <td><a href="LICENSE"><img src="https://img.shields.io/badge/license-APACHE_2-green.svg?dummy" title="License"/></a></td>
    <td><a href="https://ci.appveyor.com/project/leodemoura/lean"><img src="https://ci.appveyor.com/api/projects/status/lush6vyy1m0qg6vc/branch/master"/></a></td>
    <td><a href="https://travis-ci.org/leanprover/lean"><img src="https://travis-ci.org/leanprover/lean.png?branch=master"/></a></td>
    <td><a href="https://codecov.io/gh/leanprover/lean"><img src="https://codecov.io/gh/leanprover/lean/branch/master/graph/badge.svg" alt="Codecov"/></a></td>
    <td><a href="https://leanprover.zulipchat.com"><img src="https://img.shields.io/badge/zulip-join_chat-brightgreen.svg" alt="Join the Zulip chat"/></a></td>
  </tr>
</table>

About
-----

- [Homepage](http://leanprover.github.io)
- [Theorem Proving in Lean](https://leanprover.github.io/theorem_proving_in_lean/index.html)
- [Change Log](doc/changes.md)
- [FAQ](doc/faq.md)
- **Important**: Lean 3.4.2 is the latest release. It is also the last release for the Lean 3.x code base. Only major bugs (e.g., soundness) will be fixed for this code base from now on.
  We are currently developing Lean 4 in a new (private) repository.
  The Lean 4 source code will be released here when ready. The main goals for Lean 4 are described [here](doc/lean4.md).
- For HoTT mode, please use [Lean2](https://github.com/leanprover/lean2).

Installation
------------

Stable and nightly binary releases of Lean are available on the [homepage](https://leanprover.github.io/download/). For building Lean from source, see the [build instructions](doc/make/index.md).

Miscellaneous
-------------

- Building Doxygen Documentation: `doxygen src/Doxyfile`
- [Coding Style](doc/coding_style.md)
- [Library Style Conventions](doc/lean/library_style.org)
- [Git Commit Conventions](doc/commit_convention.md)
- [Automatic Builds](doc/make/travis.md)
- [Syntax Highlight Lean Code in LaTeX](doc/syntax_highlight_in_latex.md)
- [Exporting, and reference type-checkers](doc/export_format.md)

Roadmap
-------------

- [Open RFC issues](https://github.com/leanprover/lean/issues?q=is%3Aissue+is%3Aopen+label%3ARFC)
- [Features](https://github.com/leanprover/lean/issues?q=is%3Aissue+is%3Aopen+label%3AFeature)
- [Wish list](https://github.com/leanprover/lean/issues?q=is%3Aissue+is%3Aopen+label%3AI-wishlist)
- [High priority issues](https://github.com/leanprover/lean/issues?q=is%3Aissue+is%3Aopen+label%3AP-high)
- [Medium priority issues](https://github.com/leanprover/lean/issues?q=is%3Aissue+is%3Aopen+label%3AP-medium)
